%define name	ethereal
%define version	0.10.10
%define release	0.1.100mdk

Summary:	Network traffic analyzer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		Monitoring
URL: 		http://www.ethereal.com
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source2:	%{name}-16.png
Source3:	%{name}-32.png
Patch0:		ethereal-0.10.6-64bit-fixes.patch.bz2
# (fc) 0.10.6-2mdk use correct alias for monospaced font
Patch1:         ethereal-0.10.7-monospace.patch.bz2
Requires:	libpcap >= 0.7.2
Requires:	net-snmp-mibs
Requires:	net-snmp-utils
BuildRequires:	glib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libelf-devel
BuildRequires:	openssl-devel
BuildRequires:	libpcap-devel >= 0.7.2
BuildRequires:	net-snmp-devel
BuildRequires:	pcre-devel
BuildRequires:	adns-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%define _requires_exceptions devel(.*)

%description
Ethereal is a network traffic analyzer for Unix-ish operating
systems. It is based on GTK+, a graphical user interface library,
and libpcap, a packet capture and filtering library.

%prep

%setup -q
%patch0 -p1 -b .64bit-fixes
%patch1 -p1 -b .monospace


%build

%configure \
    --disable-usr-local \
    --disable-static \
    --enable-gtk2 \
    --enable-dftest \
    --enable-randpkt \
    --without-ucdsnmp

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std transform=""

# menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="Ethereal"\
longtitle="A network traffic analyzer"\
needs="x11"\
icon="ethereal.png"\
section="System/Monitoring"
EOF
)


# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README* doc/*
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/manuf
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/diameter/*
%attr(644,root,root) %{_datadir}/%{name}/help/*
%attr(644,root,root) %{_mandir}/*/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/AUTHORS-SHORT
%{_datadir}/%{name}/*.html
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/lib*.so.*
%dir %{_libdir}/ethereal
%dir %{_libdir}/ethereal/plugins
%dir %{_libdir}/ethereal/plugins/%{version}
%{_libdir}/ethereal/plugins/%{version}/*
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png

%changelog
* Mon Mar 14 2005 Vincent Danen <vdanen@mandrakesoft.com> 0.10.10-0.1.100mdk
- 0.10.10 (fixes CAN-2005-0699, CAN-2005-0704, CAN-2005-0705, CAN-2005-0739)

* Mon Jan 24 2005 Vincent Danen <vdanen@mandrakesoft.com> 0.10.9-0.1.100mdk
- 0.10.9 (fixes CAN-2005-0006, CAN-2005-0007, CAN-2005-0008, CAN-2005-0009,
  CAN-2005-0010, CAN-2005-0084)

* Fri Dec 17 2004 Vincent Danen <vdanen@mandrakesoft.com> 0.10.8-0.1.100mdk
- 0.10.8 - security fixes for CAN-2004-1139, CAN-2004-1140, CAN-2004-1141,
  and CAN-2004-1142

* Thu Jul 08 2004 Vincent Danen <vdanen@mandrakesoft.com> 0.10.5-0.1.100mdk
- security fix for CAN-2004-0633, CAN-2004-0634, CAN-2004-0635

* Wed Apr 14 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.10.3-4mdk
- fix filelist
- some 64-bit fixes

* Sat Apr 10 2004 Michael Scherer <misc@mandrake.org> 0.10.3-3mdk 
- [DIRM]
- add complete url to source

* Sat Mar 27 2004 Michael Scherer <misc@mandrake.org> 0.10.3-2mdk
- remove devel requires
- clean hardcoded requires
 
* Fri Mar 26 2004 Michael Scherer <misc@mandrake.org> 0.10.3-1mdk
- 0.10.3
- more macro
- remove patch #1, integrated upstream
- use Bundled library for snmp


* Sun Feb 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.0a-3mdk
- patch1: ethereal-tethereal-with-X.patch (Bug #7091)
- in spec menu
- clean spec

* Mon Dec 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.0a-2mdk
- fix buildrequires

* Mon Dec 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.0a-1mdk
- 0.10.0a
- use the corrected tarball and drop S4

* Sat Dec 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.0-1mdk
- 0.10.0
- added missing stuff (S4)

* Mon Dec 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.16-2mdk
- fix explicit-lib-dependency

* Wed Nov 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.16-1mdk
- 0.9.16

* Fri Jun 27 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.13-1mdk
- 0.9.13

* Fri May 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.12-1mdk
- 0.9.12 (security fixes)
- fix requires and buildrequires
- misc spec file fixes

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.11-2mdk
- adjust buildrequires

* Wed Apr 23 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.9.11-1mdk
- 0.9.11 (security fixes)
- BuildRequires: libpcap-devel
- diameter and manuf files have been moved to /usr/share/ethereal from /etc

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Thu Jan 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7

* Tue Aug 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-2mdk
- adjust buildrequires

* Fri Aug 23 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.6-1mdk
- new version
- misc spec file fixes

* Tue Apr 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Tue Mar 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.20-3mdk
- xpm -> png icons
- don't overwrite config files

* Wed Oct 24 2001 Vincent Saugey <vince@mandrakesoft.com> 0.8.20-2mdk
- Replace require ucd-snmp by libsnmp0

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.20-1mdk
- 0.8.20

* Wed Sep 05 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.19-1mdk
- updated to 0.8.19.

* Thu Jul 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.18-1mdk
- updated to 0.8.18

* Thu Apr 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.17-1mdk
- updated to 0.8.17

* Wed Mar 07 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.8.16-1mdk
- updated to 0.8.16
- disable snmp 

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.14-1mdk
- updated to 0.8.14

* Fri Oct 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.13-1mdk
- Up to 0.8.13
- Fix menu entry (not more ':' at end of icons name)

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.11-2mdk
- added BuildRequires.
- added tethereal, editcap binaries.
- added doc dir to docs.

* Fri Aug 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.11-1mdk
- update to v0.8.11

* Wed Jul 12 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.8.10-1mdk
- v0.8.10
- menu entry
- changed group

* Tue Dec 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
- specfile adaptations

